<template>
  <q-card bordered flat square dark class="profile-card">
    <q-card-section class="col-6 text-center">
      <q-card-section>
        <div
          data-photos-msg
          class="absolute-full text-subtitle2 flex flex-center z-index"
        >
          Millor si poseu una foto vostra
        </div>
        <q-img
          v-if="photos.length < 2"
          :src="photo"
          :ratio="16 / 9"
          spinner-color="primary"
          spinner-size="82px"
        >
        </q-img>
        <Carousel v-else :photos="photos" />
      </q-card-section>

      <!-- BODY -->
      <q-card-section>
        <div data-project-name v-if="project?.name" class="text-h6 text-accent">
          {{ project.name }}
        </div>
        <div v-else class="text-h6">
          <span data-members v-for="(member, index) in members" :key="index"
            >{{ member.name }}
            <span v-if="index + 1 < members.length">, </span>
          </span>
        </div>
      </q-card-section>
      <q-card-section class="no-padding">
        {{ adultsAndUnderage.adults }} adults
      </q-card-section>
      <q-card-section v-if="adultsAndUnderage.underage" class="no-padding">
        {{ adultsAndUnderage.underage }} menors
      </q-card-section>

      <q-card-section style="overflow-wrap: break-word; text-align: justify">
        {{ project?.descriptionShort }}
      </q-card-section>
      <!-- <q-card-section v-else>
        <q-skeleton height="200px" square bordered dark />
      </q-card-section> -->
    </q-card-section>
  </q-card>
</template>

<script setup lang="ts">
import { storeToRefs } from 'pinia'

import { useUCStore } from 'src/stores/UCprofile'
import Carousel from '../shared/Carousel.vue'
import { computed } from 'vue'

/**
 * UC PROFILE STORE
 */
const store = useUCStore()
const { adultsAndUnderage } = store
const { project, members, photos } = storeToRefs(store)
const photo = computed(() => {
  return photos.value.length === 0
    ? 'https://res.cloudinary.com/mxv-cloud/image/upload/v1678446238/App/Assets/family_gguop2.png'
    : photos.value[0]
})
</script>

<style scoped lang="sass">
.profile-card
    margin-inline: auto
    max-width: 350px
    width: 100%
</style>
